<form #createRequest="ngForm" name="createRequest" (ngSubmit)="onFormSubmit()" enctype="multipart/form-data">
  <div class="modal-header">
    <h4 class="modal-title pull-left">{{'request.send-message-to-us' | translate}}</h4>
    <button type="button" class="close pull-right" (click)="bsModalRef.hide()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>

  <div class="modal-body">
    <div class="form-group">
      <label for="title">{{'request.title' | translate}}</label>
      <input
        type="text"
        class="form-control"
        id="title"
        placeholder="{{'request.title' | translate}}"
        required
        [(ngModel)]="model.title" name="title" #title="ngModel"
      >
      <span class="text-danger"
            [hidden]="title.valid || !title.pristine">{{ 'form.validate-error.title' | translate }}</span>
    </div>
    <div class="form-row">
      <div class="form-group col-md-6">
        <label for="firstName">{{'request.firstName' | translate}}</label>
        <input
          type="text"
          class="form-control"
          id="firstName"
          placeholder="{{'request.firstName' | translate}}"
          required
          [(ngModel)]="model.firstName" name="firstName" #firstName="ngModel"
          [disabled]="isDisabledUserInfo"
        >
        <span class="text-danger"
              [hidden]="isDisabledUserInfo || firstName.valid || !firstName.pristine">{{ 'form.validate-error.firstName' | translate }}</span>
      </div>
      <div class="form-group col-md-6">
        <label for="lastName">{{'request.lastName' | translate}}</label>
        <input
          type="text"
          class="form-control"
          id="lastName"
          placeholder="{{'request.lastName' | translate}}"
          [(ngModel)]="model.lastName" name="lastName"
          [disabled]="isDisabledUserInfo"

        >
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-md-6">
        <label for="email">{{'request.e-mail' | translate}}</label>
        <input
          type="text" class="form-control" id="email" placeholder="{{'request.e-mail' | translate}}"
          [(ngModel)]="model.email" name="email" #email="ngModel"
          [disabled]="isDisabledUserInfo"
        >
        <span class="text-danger"
              [hidden]="isEmailOrPhoneExists(email.value, phone.value)"
        >
          {{ 'form.validate-error.phone' | translate }}
        </span>
      </div>
      <div class="form-group col-md-6">
        <label for="phoneNumber">{{'request.phone-number' | translate}}</label>
        <input type="text" class="form-control" id="phoneNumber" placeholder="{{'request.phone-number' | translate}}"
               [(ngModel)]="model.phone" name="phone" #phone="ngModel"
               [disabled]="isDisabledUserInfo"
        >
        <span class="text-danger"
              [hidden]="isEmailOrPhoneExists(email.value, phone.value)"
        >
          {{ 'form.validate-error.email' | translate }}
        </span>
      </div>
    </div>
    <app-lawyer-selector [inline]="true" (lawyerChange)="onLawyerChange($event)"></app-lawyer-selector>
    <div class="control-group form-group">
      <div class="controls">
        <label>{{'request.message' | translate}}</label>
        <textarea
          rows="5" cols="100" class="form-control" id="message" required
          [attr.data-validation-required-message]="'request.message-error' | translate" maxlength="999"
          style="resize:none"
          [(ngModel)]="model.description" name="description" #description="ngModel"
        ></textarea>
        <span class="text-danger"
              [hidden]="description.value">{{ 'form.validate-error.description' | translate }}</span>
      </div>
    </div>
    <div class="custom-file">
      <input type="file" class="custom-file-input" id="attachment" (change)="handleFileInput(imageInput)" #imageInput>
      <label #file class="custom-file-label" for="attachment">{{ 'form.choose-file' | translate }}</label>
    </div>
    <div id="success"></div>
  </div>

  <div class="modal-footer">
    <button
      type="button"
      class="btn btn-secondary"
      (click)="bsModalRef.hide()"
    >
      <i class="fa fa-times mr-1"></i>{{ 'modal.close' | translate }}
    </button>
    <button
      type="submit"
      class="btn btn-success"
      [disabled]="!createRequest.form.valid"
      (click)="onSubmit()"
    >
      <i class="fa fa-paper-plane mr-1"></i>{{'request.send-request-button' | translate}}
    </button>
  </div>
</form>
